#ifndef PLAYLIST_H
#define PLAYLIST_H 1

#include "malloc.h"

struct playlist_list_struct {
        simm_id name;

        simm_id /* struct playlist_list_struct */ prev;
        simm_id /* struct playlist_list_struct */ next;

        simm_id /* struct playlist_struct */ playlist_start;
        simm_id /* struct playlist_struct */ playlist_end;
};

typedef xdata struct playlist_list_struct playlist_list_t;

struct playlist_struct {
        simm_id /* struct filelist_struct */ fl_rec;
        simm_id /* struct playlist_struct */ prev;
        simm_id /* struct playlist_struct */ next;
};

typedef xdata struct playlist_struct playlist_t;

extern simm_id first_playlist;       /* in list of playlists */
extern simm_id last_playlist;        /* in list of playlists */ 
extern simm_id current_playlist; /* active playlist */

void playlist_init();
void playlist_create(simm_id pl_name);
void playlist_add_file(simm_id fl_rec);
void playlist_show();
void playlist_show_all();

#endif
